unit DrBob;
interface
uses Classes, SysUtils, Graphics;

Type
  TDrBob = class(TComponent)
  private
{ private 'dummy' field for read-only About... }
    Dummy: String;
    FName: TFileName;
    FPicture: TPicture;
  protected
{ protected 'FAbout' declarations }
    FAbout: String;
  public
    constructor Create(AOwner: TComponent); override;
  published
{ published About property }
    property About: String read FAbout write Dummy;
    property FileName: TFileName read FName write FName;
    property Picture: TPicture read FPicture write FPicture;
end {TDrBob};

procedure Register;

implementation

constructor TDrBob.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FAbout := 'TDrBob (c) 1996 by Bob Swart (aka Dr.Bob)'
end {Create};

procedure Register;
begin
  RegisterComponents('Dr.Bob', [TDrBob])
end {Register};

end.